org.apache.felix.systemready

## Enum CheckStatus.State

- java.lang.Object
- - java.lang.Enum<CheckStatus.State>
  - - org.apache.felix.systemready.CheckStatus.State

All Implemented Interfaces:
  Serializable, Comparable<CheckStatus.State>

Enclosing class:
  CheckStatus

    public static enum CheckStatus.State
    extends Enum<CheckStatus.State>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GREEN`
`RED`
`YELLOW`

### Method Summary

All Methods Static Methods Concrete Methods
`static CheckStatus.State` `fromBoolean(boolean ready)`
`static CheckStatus.State` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CheckStatus.State[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.
`static CheckStatus.State` `worstOf(Stream<CheckStatus.State> states)`

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RED

    public static final CheckStatus.State RED

#### YELLOW

    public static final CheckStatus.State YELLOW

#### GREEN

    public static final CheckStatus.State GREEN

### Method Detail

#### values

    public static CheckStatus.State[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CheckStatus.State c : CheckStatus.State.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CheckStatus.State valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromBoolean

    public static CheckStatus.State fromBoolean(boolean ready)

#### worstOf

    public static CheckStatus.State worstOf(Stream<CheckStatus.State> states)